# Get links

`GET /v1/operations/filters/{filterId}/links`

Available as MCP tool `get-filter-links` (Read).

Filter endpoints allow you to review and manage filters for async messages. A filter can contain multiple rules, but you can only create one filter per subscription. [Learn about filters](https://docs.redoxengine.com/permalink/Zn8kiEw3GdyBFaSwQNSAN).

You can retrieve, create, update, or delete filters, as well as review and manage filter links.  

### Get links

Retrieve a list of subscriptions linked to a specific filter. You can only retrieve a list from one filter per query.

## Request parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `filterId` | path | string | Yes | Displays the unique identifier of the filter. |

## Request example

```bash
curl 'https://api.redoxengine.com/platform/v1/operations/filters/{filterId}/links' \
--request GET \
--header 'Authorization: Bearer $API_TOKEN' \
--header 'accept: application/json'
```

## Responses

### 200

Contains a payload object with the links for the filter.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `meta` | object | No |  |
| `meta.version` | string | No | Lists the major and minor version number for the format of the returned payload. The payload format or shape may change between minor versions, like including additional or extended fields in later versions. We include the version data in each response so that you have the option to handle the signaled differences. |
| `payload` | object | No |  |
| `payload.filterLinks` | Array of object | No | Contains an array of the links for the specified filter. |
| `payload.filterLinks[].id` | string (uuid) | No | Contains the unique identifier of the link for a specified asset. |
| `payload.filterLinks[].organization` | object | No | Describes the Redox organization that the asset belongs to. |
| `payload.filterLinks[].organization.id` | number | No | Contains the unique identifier of the Redox organization. |
| `payload.filterLinks[].organization.name` | string, nullable | No | Contains the human-readable name of the Redox organization. |
| `payload.filterLinks[].connectingOrganization` | object | No | Specifies the organization the asset is connected to when the subscription relates to a partner organization. |
| `payload.filterLinks[].connectingOrganization.id` | number | No | Contains the unique identifier of the Redox organization. |
| `payload.filterLinks[].connectingOrganization.name` | string, nullable | No | Contains the human-readable name of the Redox organization. |
| `payload.filterLinks[].subscription` | object | No |  |
| `payload.filterLinks[].subscription.id` | string (uuid) | No | Contains the unique identifier of the subscription. |
| `payload.filterLinks[].subscription.dataModel` | string | No | Specifies the Redox data model that the link applies to or should apply to. |
| `payload.filterLinks[].subscription.source` | object | No | Specifies the source of the subscription that an asset is or should be linked to. |
| `payload.filterLinks[].subscription.source.id` | string (uuid) | Yes | Contains the unique identifier of the source. |
| `payload.filterLinks[].subscription.source.name` | string, nullable | No | Specifies the name of the source. |
| `payload.filterLinks[].subscription.destination` | object | No | Specifies the destination of the subscription that an asset is or should be linked to. |
| `payload.filterLinks[].subscription.destination.id` | string (uuid) | Yes | Contains the unique identifier of the destination. |
| `payload.filterLinks[].subscription.destination.name` | string, nullable | No | Specifies the name of the destination. |
| `payload.filterLinks[].filterId` | string (uuid) | No | Contains the unique identifier of the asset being linked. |
| `payload.filterLinks[].version` | string | No | Contains the API schema version used for this asset. |
| `payload.filterLinks[].eventType` | string, nullable | No | Specifies the specific event type for a data model that the link applies to or should apply to. |
| `payload.filterLinks[].createdAt` | string | No | Displays the date and time that the asset was originally created in ISO 8601 format. |
| `payload.filterLinks[].createdBy` | object | No | Contains the metadata about the user who created the asset. |
| `payload.filterLinks[].createdBy.id` | number | No | Contains the unique identifier of the user. |
| `payload.filterLinks[].createdBy.name` | string, nullable | No | Displays the user's full name. |
| `payload.filterLinks[].updatedAt` | string | No | Displays the date and time that the asset was last updated in ISO 8601 format. |
| `payload.filterLinks[].updatedBy` | object | No | Contains the metadata about the user who last updated the asset. |
| `payload.filterLinks[].updatedBy.id` | number | No | Contains the unique identifier of the user. |
| `payload.filterLinks[].updatedBy.name` | string, nullable | No | Displays the user's full name. |
| `payload.filterLinks[].deletedAt` | string, nullable | No | Displays the date and time that the asset was deleted. Returns a `null` value if the asset hasn't been deleted. |
| `payload.filterLinks[].deletedBy` | object, nullable | No | Contains the metadata about the user who deleted the asset. |
| `payload.filterLinks[].deletedBy.id` | number | No | Contains the unique identifier of the user. |
| `payload.filterLinks[].deletedBy.name` | string, nullable | No | Displays the user's full name. |

_Generated from the schema: the values are placeholders, not a real payload._

```json
{
  "meta": {
    "version": "1.0.0"
  },
  "payload": {
    "filterLinks": [
      {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "organization": {
          "id": 122,
          "name": "string"
        },
        "connectingOrganization": {
          "id": 122,
          "name": "string"
        },
        "subscription": {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "dataModel": "PatientAdmin",
          "source": {
            "name": "string",
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
          },
          "destination": {
            "name": "string",
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
          }
        },
        "filterId": "aff0ee0f-f371-4b82-82c6-dc3b96f05c91",
        "version": "1.0.0",
        "eventType": "string",
        "createdAt": "2024-04-25T18:17:16.719Z",
        "createdBy": {
          "id": 0,
          "name": "string"
        },
        "updatedAt": "2024-04-25T18:17:16.719Z",
        "updatedBy": {
          "id": 0,
          "name": "string"
        },
        "deletedAt": "2024-04-25T18:17:16.719Z",
        "deletedBy": {
          "id": 0,
          "name": "string"
        }
      }
    ]
  }
}
```

### 400

Bad Request

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `payload` | object | No | Contains the error message. |
| `payload.error` | object | No | Contains the error message details. |
| `payload.error.id` | string | No | Contains a unique identifier for the given error instance. |
| `payload.error.title` | string | No | Displays the high-level error message, typically something succinct like `Bad Request`. |
| `payload.error.code` | string | No | Contains an alternative ID for the error type, which can be used to find relevant troubleshooting information. |
| `payload.error.detail` | string | No | Contains the specific error details for this message. |
| `payload.error.status` | number | No | Displays the corresponding HTTP status code for the error. |
| `payload.error.transient` | boolean | No | Describes whether the error will resolve itself. If `true`, no further action needs to be taken. If `false`, you may need to troubleshoot on your end to resolve the issue before the error can be processed. |

```json
{
  "payload": {
    "error": {
      "title": "Bad Request",
      "code": "validation.error.bad.request",
      "detail": "Error details",
      "status": 400,
      "transient": false
    }
  }
}
```

### 403

Forbidden

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `payload` | object | No | Contains the error message. |
| `payload.errors` | Array of object | No |  |
| `payload.errors[].title` | string | No | Displays the high-level error message, typically something succinct like `Forbidden`. |
| `payload.errors[].code` | string | No | Contains an alternative ID for the error type, which can be used to find relevant troubleshooting information. |

```json
{
  "payload": {
    "errors": [
      {
        "title": "Forbidden",
        "code": "authorization.forbidden"
      }
    ]
  }
}
```

### 500

Internal Server Error

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `payload` | object | No | Contains the error message. |
| `payload.error` | object | No | Contains the error message details. |
| `payload.error.title` | string | No | Displays the high-level error message, typically something succinct like `Failed in step X`. |
| `payload.error.code` | string | No | Contains an alternative ID for the error type, which can be used to find relevant troubleshooting information. |
| `payload.error.detail` | string | No | Contains the specific error details for this message. |
| `payload.error.status` | number | No | Displays the corresponding HTTP status code for the error. |
| `payload.error.transient` | boolean | No | Describes whether the error will resolve itself. If `true`, no further action needs to be taken. If `false`, you may need to troubleshoot on your end to resolve the issue before the error can be processed. |

```json
{
  "payload": {
    "error": {
      "title": "Internal Server Error",
      "code": "failed.db.lookup",
      "detail": "Error details",
      "status": 500,
      "transient": true
    }
  }
}
```
